public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ben Kohler" <bkohler@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/connman/
Date: Fri, 29 Mar 2019 15:05:59 +0000 (UTC)	[thread overview]
Message-ID: <1553871742.7ecfe4b4ecc73be67b134f91e431d83e308c8376.bkohler@gentoo> (raw)

commit:     7ecfe4b4ecc73be67b134f91e431d83e308c8376
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 29 15:02:09 2019 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Fri Mar 29 15:02:22 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ecfe4b4

net-misc/connman: bump to 1.37

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 net-misc/connman/Manifest            |  1 +
 net-misc/connman/connman-1.37.ebuild | 95 ++++++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/net-misc/connman/Manifest b/net-misc/connman/Manifest
index 22144a8bb4b..01fbb6e4ffb 100644
--- a/net-misc/connman/Manifest
+++ b/net-misc/connman/Manifest
@@ -1,2 +1,3 @@
 DIST connman-1.35.tar.xz 686092 BLAKE2B 706d8333dc2fcbee8d0ef3849325c4975dfe312a7a542ee96859a1724e05b1302c244a0108ab70033b398301c235fb13cb9509e9147dc2bb049e900f3799cd98 SHA512 2234b4d18b038f9a33939035cddebd31c74ce962e5616c2c30b2912476612ef3f7d5b9edca64bf6e69fa358252ed432124e036ac3516b291b86695cb9a96c6a8
 DIST connman-1.36.tar.xz 692616 BLAKE2B 7d8cea55365fbfe78cd897b5b65d8edf475a737220732c46c95dda4c6b12badddca38150dbedddcc95c29bce486d86fe130a9d65043c6e18ed6b1eba3fe5aec0 SHA512 c0b9e924a28d58539d44c314168ae7aa46dfea8ce9d125198f525a6d6ef95ca77fd0357c4c4c7548b362b9de8e6f85c7915b1a4cf89b65116c4cbc4df75318e1
+DIST connman-1.37.tar.xz 707752 BLAKE2B ad8993764a444d205b0a8cf1ad38acc249a1a28014e6f4e5a89c8662194ad2e2ee6091b51445b88a885808461413b3aaf88eeb7b75a32f417b578d2da80a2e9f SHA512 5d5363105aedd0c9d609dd5c64eb832d9ff80923a944d9d3738337a61f180ded227f2ae1ff7912bed8826b35f0cfd20488e3ffd3801f0e53e90f98498e19efb6

diff --git a/net-misc/connman/connman-1.37.ebuild b/net-misc/connman/connman-1.37.ebuild
new file mode 100644
index 00000000000..3114fde3465
--- /dev/null
+++ b/net-misc/connman/connman-1.37.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+inherit autotools systemd tmpfiles
+
+DESCRIPTION="Provides a daemon for managing internet connections"
+HOMEPAGE="https://01.org/connman"
+SRC_URI="mirror://kernel/linux/network/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+IUSE="${IUSE} bluetooth debug doc examples +ethernet iptables iwd l2tp nftables"
+IUSE="${IUSE} ofono openvpn openconnect pptp policykit tools vpnc +wifi wispr networkmanager"
+
+REQUIRED_USE="|| ( iptables nftables )"
+RDEPEND=">=dev-libs/glib-2.16
+	>=sys-apps/dbus-1.2.24
+	sys-libs/readline:0=
+	iptables? ( >=net-firewall/iptables-1.4.8 )
+	bluetooth? ( net-wireless/bluez )
+	iwd? ( net-wireless/iwd )
+	l2tp? ( net-dialup/xl2tpd )
+	nftables? (
+		>=net-libs/libnftnl-1.0.4:0=
+		>=net-libs/libmnl-1.0.0:0= )
+	ofono? ( net-misc/ofono )
+	openconnect? ( net-vpn/openconnect )
+	openvpn? ( net-vpn/openvpn )
+	policykit? ( sys-auth/polkit )
+	pptp? ( net-dialup/pptpclient )
+	vpnc? ( net-vpn/vpnc )
+	wifi? ( >=net-wireless/wpa_supplicant-2.0[dbus] )
+	wispr? ( net-libs/gnutls )"
+
+DEPEND="${RDEPEND}
+	>=sys-kernel/linux-headers-2.6.39
+	virtual/pkgconfig"
+
+#PATCHES=(
+#	"${FILESDIR}/${PN}-1.33-polkit-configure-check-fix.patch"
+#)
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--localstatedir=/var \
+		--with-systemdunitdir=$(systemd_get_systemunitdir) \
+		--with-tmpfilesdir="${EPREFIX}"/usr/lib/tmpfiles.d \
+		--enable-client \
+		--enable-datafiles \
+		--enable-loopback=builtin \
+		$(use_enable examples test) \
+		$(use_enable ethernet ethernet builtin) \
+		$(use_enable wifi wifi builtin) \
+		$(use_enable iwd) \
+		$(use_enable bluetooth bluetooth builtin) \
+		$(use_enable l2tp l2tp builtin) \
+		$(use_enable ofono ofono builtin) \
+		$(use_enable openconnect openconnect builtin) \
+		$(use_enable openvpn openvpn builtin) \
+		$(use_enable policykit polkit builtin) \
+		$(use_enable pptp pptp builtin) \
+		$(use_enable vpnc vpnc builtin) \
+		$(use_enable wispr wispr builtin) \
+		$(use_enable debug) \
+		$(use_enable tools) \
+		$(use_enable networkmanager nmcompat) \
+		--with-firewall=$(usex iptables "iptables" "nftables" ) \
+		--disable-iospm \
+		--disable-hh2serial-gps
+}
+
+src_install() {
+	default
+	dobin client/connmanctl
+
+	if use doc; then
+		dodoc doc/*.txt
+	fi
+	keepdir /usr/lib/${PN}/scripts
+	keepdir /var/lib/${PN}
+	newinitd "${FILESDIR}"/${PN}.initd2 ${PN}
+	newconfd "${FILESDIR}"/${PN}.confd ${PN}
+}
+
+pkg_postinst() {
+	tmpfiles_process /usr/lib/tmpfiles.d/connman_resolvconf.conf
+}


             reply	other threads:[~2019-03-29 15:06 UTC|newest]

Thread overview: 134+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-03-29 15:05 Ben Kohler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-11 12:23 [gentoo-commits] repo/gentoo:master commit in: net-misc/connman/ Ben Kohler
2024-10-31 15:31 Ben Kohler
2024-10-18 15:40 Arthur Zamarin
2024-10-18 15:40 Arthur Zamarin
2024-10-16 17:02 Sam James
2024-10-16 17:02 Sam James
2024-10-16 17:02 Sam James
2024-10-16 17:02 Sam James
2024-09-04 12:31 Ben Kohler
2023-11-03 12:23 Ben Kohler
2023-10-13 14:14 Arthur Zamarin
2023-10-13  2:44 Sam James
2023-10-13  2:44 Sam James
2023-10-12 23:32 Sam James
2023-10-12 23:32 Sam James
2023-10-12 23:32 Sam James
2023-08-08 19:01 Ben Kohler
2023-05-30 16:51 Arthur Zamarin
2023-05-28 11:55 Sam James
2023-05-28 11:36 Sam James
2023-05-28 11:36 Sam James
2023-05-28  7:11 Joonas Niilola
2023-05-28  7:11 Joonas Niilola
2023-04-24 15:32 Ben Kohler
2023-04-24 15:32 Ben Kohler
2023-03-31 12:57 Ben Kohler
2023-03-30 21:11 Sam James
2023-03-30 17:11 Sam James
2023-03-30 17:11 Sam James
2023-03-30 17:07 Arthur Zamarin
2023-03-30 16:38 Sam James
2023-03-30 16:29 Arthur Zamarin
2023-02-28 15:40 Ben Kohler
2023-02-28 15:06 Ben Kohler
2023-02-26 15:09 Ben Kohler
2022-12-30 18:04 Sam James
2022-12-30 18:04 Sam James
2022-12-30 18:04 Sam James
2022-12-30 18:04 Sam James
2022-12-30 18:04 Sam James
2022-12-30 17:09 Sam James
2022-11-24 12:00 WANG Xuerui
2022-11-20 15:20 Ben Kohler
2022-09-27 16:30 Ben Kohler
2022-09-13 13:00 Ben Kohler
2022-09-07 13:49 Ben Kohler
2022-08-28 20:41 Ben Kohler
2022-08-16 15:11 Ben Kohler
2022-08-16 15:07 Sam James
2022-08-16  7:47 Agostino Sarubbo
2022-08-16  7:46 Agostino Sarubbo
2022-08-16  7:45 Agostino Sarubbo
2022-08-16  7:44 Agostino Sarubbo
2022-08-15 22:30 Sam James
2022-08-09 10:55 Ben Kohler
2022-04-27 14:27 Ben Kohler
2022-03-12 11:00 Arthur Zamarin
2022-03-08 12:37 Sam James
2022-03-08  9:37 Sam James
2022-03-08  9:37 Sam James
2022-03-07 19:09 Jakov Smolić
2022-03-07 19:09 Jakov Smolić
2022-01-29 15:37 Ben Kohler
2022-01-27 12:44 Ben Kohler
2021-07-30 22:55 David Seifert
2021-06-22 23:50 Ben Kohler
2021-06-22 19:45 Sam James
2021-06-18 22:38 Sam James
2021-06-17 20:23 Sam James
2021-06-17  7:23 Agostino Sarubbo
2021-06-17  7:20 Agostino Sarubbo
2021-06-17  7:19 Agostino Sarubbo
2021-06-10 11:43 Ben Kohler
2021-06-10 11:34 Ben Kohler
2021-03-29 13:49 Ben Kohler
2021-03-29 13:49 Ben Kohler
2021-03-11 17:03 Ben Kohler
2021-02-18 13:51 Ben Kohler
2021-02-18  7:30 Sam James
2021-02-14 19:44 Sam James
2021-02-13  1:31 Sam James
2021-02-11  9:30 Sam James
2021-02-11  7:53 Sam James
2021-02-09 23:57 Sam James
2021-02-08 15:49 Ben Kohler
2021-02-08 14:52 Ben Kohler
2021-02-08 13:36 Ben Kohler
2020-06-27 20:54 Ben Kohler
2020-04-05 20:06 Mart Raudsepp
2020-03-21 16:26 Agostino Sarubbo
2020-03-18 11:13 Agostino Sarubbo
2020-03-18 11:04 Agostino Sarubbo
2020-03-18  9:46 Agostino Sarubbo
2020-03-17 16:01 Agostino Sarubbo
2020-02-15 14:01 Ben Kohler
2020-01-28 14:03 Ben Kohler
2019-09-30 13:24 Ben Kohler
2019-09-18 14:24 Ben Kohler
2019-09-18 14:24 Ben Kohler
2019-08-02 11:14 Mikle Kolyada
2019-06-03 21:47 Ben Kohler
2019-05-24 22:50 Sergei Trofimovich
2019-05-24 22:08 Sergei Trofimovich
2019-05-24 20:48 Aaron Bauman
2019-05-23 14:43 Ben Kohler
2019-01-15 15:01 Ben Kohler
2018-12-03 22:29 Ben Kohler
2018-11-20  7:32 Yixun Lan
2018-09-17 23:10 Matt Turner
2018-09-17 23:10 Matt Turner
2018-08-23 19:24 Ben Kohler
2018-08-23 13:08 Ben Kohler
2018-02-05 21:27 Markus Meier
2018-01-27 23:42 Mikle Kolyada
2018-01-26 18:21 Thomas Deutschmann
2017-10-18  6:11 Sergei Trofimovich
2017-09-05  2:37 Yixun Lan
2017-07-10 15:51 Alexis Ballier
2017-05-23 15:12 Yixun Lan
2017-05-23  9:06 Yixun Lan
2017-05-03 21:40 Yixun Lan
2017-05-03 21:36 Yixun Lan
2017-04-08  8:30 Amy Liffey
2016-10-16 17:24 David Seifert
2016-07-26  6:37 Yixun Lan
2016-06-19  2:16 Göktürk Yüksek
2016-03-27  5:12 Ian Delaney
2016-03-27  5:12 Ian Delaney
2016-02-01  3:08 Yixun Lan
2015-09-25 14:43 Agostino Sarubbo
2015-09-24 13:19 Agostino Sarubbo
2015-09-02  9:27 Yixun Lan
2015-09-02  9:27 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1553871742.7ecfe4b4ecc73be67b134f91e431d83e308c8376.bkohler@gentoo \
    --to=bkohler@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox